com.impinj.octane

## Class FilterSettings

- java.lang.Object
- - com.impinj.octane.FilterSettings

-     public class FilterSettings
      extends java.lang.Object

  These filter settings describe the inventory filters applied by the reader. An inventory filter use the gen2 select commands to limit the inventory of tags to a specific population See Gen2 Standard page 72

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterSettings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TagFilterMode` | `getMode()`
    `TagFilter` | `getTagFilter1()`
    `TagFilter` | `getTagFilter2()`
    `java.util.List<TagSelectFilter>` | `getTagSelectFilterList()` Get the tag select filter list, which is the new interface for setting tag filter behavior.
    `void` | `setMode(TagFilterMode mode)`
    `void` | `setTagFilter1(TagFilter tagFilter1)`
    `void` | `setTagFilter2(TagFilter tagFilter2)`
    `void` | `setTagSelectFilterList(java.util.List<TagSelectFilter> tagSelectFilterList)` Set the tag select filter list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterSettings

          public FilterSettings()

  - ### Method Detail

    - #### getMode

          public TagFilterMode getMode()

    - #### setMode

          public void setMode(TagFilterMode mode)

    - #### getTagFilter1

          public TagFilter getTagFilter1()

    - #### setTagFilter1

          public void setTagFilter1(TagFilter tagFilter1)

    - #### getTagFilter2

          public TagFilter getTagFilter2()

    - #### setTagFilter2

          public void setTagFilter2(TagFilter tagFilter2)

    - #### getTagSelectFilterList

          public java.util.List<TagSelectFilter> getTagSelectFilterList()

      Get the tag select filter list, which is the new interface for setting tag filter behavior. Allows for setting more than two filters, and better control over what action is performed when the filter matches or doesn't match.

    - #### setTagSelectFilterList

          public void setTagSelectFilterList(java.util.List<TagSelectFilter> tagSelectFilterList)

      Set the tag select filter list.